package com.xhpc.activity.service;


import com.xhpc.activity.domain.XhpcTradebillUploadRecordDomain;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

public interface CommonService {

    XhpcTradebillUploadRecordDomain ossUpload(XhpcTradebillUploadRecordDomain domain) throws Exception;

    XhpcTradebillUploadRecordDomain fileUpload(String tenantId, MultipartFile file, int type, String startTime, String endTime) throws Exception;

    List<XhpcTradebillUploadRecordDomain> getFilePage(Map<String, Object> params);
}
